// {{{ Copyright (C) 2009 Nuno David Lopes.-----------------------------------
//
// e-mail: ndl@ptmat.fc.ul.pt
// http://ptmat.fc.ul.pt/~ndl/
//
// ---------------------------------------------------------------------------
// Licensed under the GNU LGPL Version 3.0 or later.
//
// ---------------------------------------------------------------------------
//  dolfwave.cpp
//
// First added:  2009-04-13
// Compiled with DOLFIN:0.9.2
// }}}------------------------------------------------------------------------

#ifndef __FUNFUNCTIONS_H
#define __FUNFUNCTIONS_H


#include <dolfin.h>
#include <fstream> //for ofstream File saving
#include <string> //for string 

using namespace dolfin;

// {{{ Ploting matrix structures in a pbm format
void MatrixSparsityPlot(const Matrix &,const std::string );

#endif
