from pylab import *


#LPT Type-I 6^{th}-order model 

#alpha definition
alpha=0.6220355269

# Ti coefficients
def T(Ca,Cb,x):
    return 1.-Ca*x**2+Cb*x**4

#(\tau=\nu_1=\nu_2=0)
class LPTt16o:
    def __init__(self):
        print 'LPT T-I 6-order class'
        
        
    def phase(self,x):
        C1=alpha**2/2.-alpha+1./3.
        C2=5./24.*alpha**4-5./6.*alpha**3+7./6.*alpha**2-2./3.*alpha+2./15.
        C3=0.0
        C4=0.0
        C6=alpha**2/2.-alpha
        C7=5./24.*alpha**4-5./6.*alpha**3+alpha**2-alpha/3.
        print C1
        print C2
        print C3
        print C4
        print C6
        print C7
        return sqrt(T(C1,C2,x)/(T(C3,C4,x)*T(C6,C7,x)))
