// {{{ Copyright (C) 2009 Nuno David Lopes.-----------------------------------
//
// e-mail: ndl@ptmat.fc.ul.pt
// http://ptmat.fc.ul.pt/~ndl/
//
// ---------------------------------------------------------------------------
// Licensed under the GNU LGPL Version 3.0 or later.
//
// ---------------------------------------------------------------------------
//  DolfwaveClassDBC.cpp
//
// First added:  2009-04-14
// Compiled with DOLFIN:0.9.2
// }}}------------------------------------------------------------------------

#include"DolfwaveClass.h"

using namespace dolfin;
using namespace dolfin::dolfwave;

// {{{ Dirichlet Boundary Conditions
void dolfin::dolfwave::Dolfwave::DolfwaveDBC(dolfin::Function &bc,dolfin::SubDomain &boundary)
{
  dbc  = new dolfin::DirichletBC(*V,bc,boundary);
  dbcapply=true;
}
// }}}
