// {{{ Copyright (C) 2009 Nuno David Lopes.-----------------------------------
//
// e-mail: ndl@ptmat.fc.ul.pt
// http://ptmat.fc.ul.pt/~ndl/
//
// ---------------------------------------------------------------------------
// Licensed under the GNU LGPL Version 3.0 or later.
//
// ---------------------------------------------------------------------------
//  dolfwave.h
//
// First added:  2009-04-14
// Compiled with DOLFIN:0.9.2
// }}}------------------------------------------------------------------------

#include"DolfwaveClass.h"

using namespace dolfin;
using namespace dolfin::dolfwave;



// {{{ Timer Functions
void dolfin::dolfwave::Dolfwave::TimerStart()
{
  maintimer = new Timer("X::DOLFWAVE::X");
  maintimer->start();
}  

void dolfin::dolfwave::Dolfwave::TimerStop()
{
  
  maintimer->stop();
  summary();
}  
// }}}----------------------------


// {{{ Time Update ----------------------------------
void dolfin::dolfwave::Dolfwave::TimeUpdate( ) 
{
  Time+=TimeStep;
}
void dolfin::dolfwave::Dolfwave::TimeAdd(double tm) 
{
  Time+=tm;
}
// }}}-----------------------------------------------

